DROP TABLE IF EXISTS `t_announcement`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_announcement` (
`idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
`title` varchar(255) NOT NULL DEFAULT '' COMMENT '标题',
`version` varchar(32) NOT NULL DEFAULT '' COMMENT '版本',
`model` int(11) NOT NULL DEFAULT '0' COMMENT '型号 1:Android 2:ios',
`type` int(11) NOT NULL DEFAULT '0' COMMENT ' 1:停服公告 2:普通公告',
`is_effect` int(11) NOT NULL DEFAULT '0' COMMENT '是否生效',
`content` text  DEFAULT '' COMMENT '内容',
PRIMARY KEY (`idx`),
UNIQUE KEY `model_type` (`model`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;


DROP TABLE IF EXISTS `t_audit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_audit` (
`idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
`version` varchar(32) NOT NULL DEFAULT '' COMMENT '版本',
`model` int(11) NOT NULL DEFAULT '0' COMMENT '型号 1:Android 2:ios',
`is_auditing` int(11) NOT NULL DEFAULT '0' COMMENT '是否审核中',
PRIMARY KEY (`idx`),
UNIQUE KEY `model` (`model`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;