const common = require('./common');

module.exports = class {

  constructor() {
    this.apis = [
      {
        'method': 'GET',
        'name': 'list',
        'desc': '获取用户组列表',
        'group': 'user_group',
        'url': 'api/v1/user_group/list',
        'header': [
        ],
        'is_json_params': true,
        'params': [
        ],
        'response': [
          new common.RspHead(),
          ['!data', common.UserGroup()]
        ]
      },
      {
        'method': 'POST',
        'name': 'add',
        'desc': '添加用户组',
        'group': 'user_group',
        'url': 'api/v1/user_group/add',
        'header': [
        ],
        'is_json_params': true,
        'params': [
          new common.RspHead(),
          ['group_name', '', '组名'],
          ['group_desc', '', '描述'],
          ['enabled', 0, '是否启用'],
        ],
        'response': [
          new common.RspHead(),
        ]
      },
      {
        'method': 'POST',
        'name': 'add',
        'desc': '编辑用户组',
        'group': 'user_group',
        'url': 'api/v1/user_group/edit',
        'header': [
        ],
        'is_json_params': true,
        'params': [
          new common.RspHead(),
          ['group_id', '', '组id'],
          ['group_name', '', '组名'],
          ['group_desc', '', '描述'],
          ['enabled', 0, '是否启用'],
        ],
        'response': [
          new common.RspHead(),
        ]
      },
    ];
  }

};
