const common = require('./common');

module.exports = class {

  constructor() {
    this.apis = [
      {
        'method': 'GET',
        'name': 'list',
        'desc': '获取用户组成员列表',
        'group': 'user_group_member',
        'url': 'api/v1/user_group/member/list',
        'header': [
        ],
        'is_json_params': true,
        'params': [
        ],
        'response': [
          new common.RspHead(),
          ['!data', common.UserGroupMember()]
        ]
      },
      {
        'method': 'POST',
        'name': 'add',
        'desc': '添加用户组成员',
        'group': 'user_group_member',
        'url': 'api/v1/user_group/member/add',
        'header': [
        ],
        'is_json_params': true,
        'params': [
          new common.RspHead(),
          ['group_id', '', '组id'],
          ['member_id', '', '成员id'],
          ['enabled', 0, '是否启用'],
        ],
        'response': [
          new common.RspHead(),
        ]
      },
      {
        'method': 'POST',
        'name': 'add',
        'desc': '编辑用户组成员',
        'group': 'user_group_member',
        'url': 'api/v1/user_group/member/edit',
        'header': [
        ],
        'is_json_params': true,
        'params': [
          new common.RspHead(),
          ['group_id', 0, '组id'],
          ['member_id', '', '成员id'],
          ['enabled', 0, '是否启用'],
        ],
        'response': [
          new common.RspHead(),
        ]
      },
    ];
  }

};
