package constant

const (
	MAX_PACKET_LEN = 1024 * 64
)

const (
	GAME_DB    = "gamedb"
	FRIEND_DB  = "firenddb"
	ADMIN_DB   = "admindb"
	ACCOUNT_DB = "accountdb"
	MAIL_DB    = "maildb"
	BCNFT_DB   = "bcnftdb"
	CONF_DB    = "confdb"
)

const (
	APP_MODULE_IDX = iota
	ROUTER_MODULE_IDX
	SESSION_MGR_MODULE_IDX
	SERVICE_MGR_MODULE_IDX
	MAX_MODULE_IDX
)

const (
	GAMEID            = "2006"
	EMAIL_URL_DEV     = "gamemail-test.kingsome.cn"
	API_MAIL_HOST_DEV = "localhost:9992"
	EMAIL_KEY         = "520d8eeb8cf1d833a42c820432c020b2fd60f4b7|" + EMAIL_URL_DEV
)

const (
	LOGIN_ANNC_TYPE_LEAST_VERSION = 1
	LOGIN_ANNC_TYPE_WHITE_VERSION = 2
	LOGIN_ANNC_TYPE_CURRENT_VERSION = 3
)

const (
	PLATFORM_ANDROID = 1
	PLATFORM_IOS = 2
)

/* const (
	FULL_PERMISSION      = "*"
	PLAYER_INFO          = "playerinfo"         //玩家基本信息查询
	BAG_QUERY            = "bagquery"           //玩家背包查询
	HERO_QUERY           = "heroesquery"        //玩家英雄查询
	GOLD_BULLION_QUERY   = "goldbullionquery"   //金币查询
	TICKET_CONSUME_QUERY = "ticketconsumequery" //门票消耗查询
	GAME_MALL_QUERY      = "gamemallquery"      //游戏内商品查询

	ORDER_QUERY = "orderquery" //订单查询
	SALE_QUERY  = "salequery"  //销售查询
	NFT_QUERY   = "nftquery"   //NFT查询

	SYS_USER_INFO   = "userinfo"   //系统用户信息
	SYS_USER_LOGOUT = "userlogout" //系统用户登出

	ADD_MAIL_GROUP_MEMBER   = "addmailgroupmember"   //添加邮件组成员
	EDIT_MAIL_GROUP_MEMBER  = "editmailgroupmember"  //编辑邮件组成员
	DEL_MAIL_GROUP_MEMBER   = "delmailgroupmember"   //删除邮件组成员
	EMAIL_GROUP_LIST        = "emailgroup"           //邮件组列表
	UPLOAD_EXCEL_MAIL_GROUP = "uploadexcelmailgroup" //上传excel邮件组

	ADD_BLACK_PLAYER          = "addblackplayer"         //添加黑名单成员
	EDIT_BLACK_PLAYER         = "editblackplayer"        //编辑黑名单成员
	DEL_BLACK_PLAYER          = "delblackplayer"         //删除黑名单成员
	BLACK_PLAYER_LIST         = "listblackplayer"        //黑名单列表
	UPLOAD_EXCEL_BLACK_PLAYER = "uploadexcelblackplayer" //上传excel名单

	ADD_GAME_SWITCH  = "addgameswitch"  //添加游戏配置
	EDIT_GAME_SWITCH = "editgameswitch" //编辑游戏配置
	DEL_GAME_SWITCH  = "delgameswitch"  //删除游戏配置
	GAME_SWITCH_LIST = "gameswitchlist" //游戏配置列表

	SEND_MAIL = "sendmail" //发送邮件
	EDIT_MAIL = "editmail" //编辑邮件
	LIST_MAIL = "listmail" //查看邮件列表

	LIST_ANNOUNCEMENT = "announcement"     //查看公告列表
	ADD_ANNOUNCEMENT  = "addannouncement"  //添加公告
	EDIT_ANNOUNCEMENT = "editannouncement" //编辑公告

	LIST_AUDIT = "listaudit" //查看审核列表
	ADD_AUDIT  = "addaudit"  //添加审核
	EDIT_AUDIT = "editaudit" //编辑审核

	ADD_BATTLE_SERVER  = "addbattleserver"  //添加战斗服务器
	EDIT_BATTLE_SERVER = "editbattleserver" //编辑战斗服务器
	LIST_BATTLE_SERVER = "listbattleserver" //查看战斗服务器列表

	SYS_ADD_USER  = "addsysuser"  //添加后台用户
	SYS_EDIT_USER = "editsysuser" //编辑后台用户
	SYS_DEL_USER  = "delsysuser"  //删除后台用户
	SYS_USER_LIST = "sysuserlist" //查看后台用户列表
) */

const (
	UI_FULL_PERMISSION      = "*"
	UI_ANNOUNCEMENT         = "announcement"
	UI_ADD_ANNOUNCEMENT     = "addannouncement"
	UI_EDIT_ANNOUNCEMENT    = "editannouncement"
	UI_AUDIT                = "audit"
	UI_ADD_AUDIT            = "addaudit"
	UI_EDIT_AUDIT           = "editaudit"
	UI_EMAIL_LIST           = "listemail"
	UI_CREATE_EMAIL         = "createemail"
	UI_EMAIL_GROUP          = "emailgroup"
	UI_PLAYER_INFO          = "playerinfo"
	UI_BAG_QUERY            = "bagquery"
	UI_HEROES_QUERY         = "heroesquery"
	UI_GOLD_BULLION_QUERY   = "goldbullionquery"
	UI_TICKET_CONSUME_QUERY = "ticketconsumequery"
	UI_GAME_MALL_QUERY      = "gamemallquery"
	UI_ORDER_QUERY          = "orderquery"
	UI_SALE_QUERY           = "salequery"
	UI_NFT_QUERY            = "nftquery"
	UI_GAME_SWITCH          = "gameswitchlist"
)
