package system

import (
	"f5"
	"q5"
)

type TicketConsume struct {
	Idx             int64  `json:"idx"`
	Match_room_uuid string `gorm:"comment:匹配服房间id" json:"match_room_uuid"`
	Account_id      string `gorm:"comment:账号id" json:"account_id"`
	Createtime      int    `gorm:"comment:创建时间" json:"createtime"`
	Modifytime      int    `gorm:"comment:修改时间" json:"modifytime"`
}

func (tc *TicketConsume) TableName() string {
	return "t_ticket_consume_record"
}

func (tc *TicketConsume) LoadFromDs(ds *f5.DataSet) {
	tc.Idx = q5.ToInt64(ds.GetByName("idx"))
	tc.Match_room_uuid = ds.GetByName("match_room_uuid")
	tc.Account_id = ds.GetByName("account_id")
	tc.Createtime = q5.ToInt(ds.GetByName("createtime"))
	tc.Modifytime = q5.ToInt(ds.GetByName("modifytime"))
}
