package system

type GameApiHostItem struct {
	Idx        int64  `gorm:"column:idx" json:"idx"`
	Host       string `gorm:"column:gameapi_host" json:"gameapi_host"`
	Port       int32  `gorm:"column:gameapi_port" json:"gameapi_port"`
	Enable     int32  `gorm:"column:enable" json:"enable"`
	CreateTime int32  `gorm:"column:createtime" json:"-"`
	ModifyTime int32  `gorm:"column:modifytime" json:"-"`
}

func (GameApiHostItem) TableName() string {
	return "t_internal_gameapi_host"
}

type ApiGateHostItem struct {
	Idx        int64  `gorm:"column:idx" json:"idx"`
	Host       string `gorm:"column:apigate_host" json:"apigate_host"`
	Port       int32  `gorm:"column:apigate_port" json:"apigate_port"`
	Enable     int32  `gorm:"column:enable" json:"enable"`
	CreateTime int32  `gorm:"column:createtime" json:"-"`
	ModifyTime int32  `gorm:"column:modifytime" json:"-"`
}

func (ApiGateHostItem) TableName() string {
	return "t_apigate_host"
}
