package system

import (
	v1 "main/api/v1"
	"main/middleware"

	"github.com/gin-gonic/gin"
)

type GameSwitchRoute struct {
}

func (this *GameSwitchRoute) InitGameSwitchRouter(priRouter *gin.RouterGroup) {
	group := priRouter.Group("game_switch")
	api := v1.ApiGroupApp.SystemApiGroup.GameSwitchApi
	api.Init()
	{
		//group.POST("add", middleware.Permission("api/v1/game_switch/add", api.Add))
		group.POST("edit", middleware.Permission("api/v1/game_switch/edit", api.Edit))
		//group.POST("del", middleware.Permission("api/v1/game_switch/del", api.Del))
		group.GET("list", middleware.Permission("api/v1/game_switch/list", api.List))		
		group.GET("refresh", middleware.Permission("api/v1/game_switch/refresh", api.Refresh))
	}
}
