package system

import (
	v1 "main/api/v1"
	"main/middleware"

	"github.com/gin-gonic/gin"
)

type AuditRouter struct{}

func (ar *AnncRouter) InitAuditRouter(priRouter *gin.RouterGroup) {
	priUserRouter := priRouter.Group("audit")
	auditApi := v1.ApiGroupApp.SystemApiGroup.AuditApi
	auditApi.Init()
	{
		priUserRouter.GET("auditList", middleware.Permission("api/v1/audit/auditList", auditApi.AuditList))
		// priUserRouter.POST("addAudit", middleware.Permission("api/v1/audit/addAudit", auditApi.AddAudit))
		priUserRouter.PUT("updateAudit/:idx", middleware.Permission("api/v1/audit/updateAudit", auditApi.UpdateAudit))
	}
}
