package mt

import (
	"f5"
)

type table struct {
	ApigateCluster *ApigateClusterTable
	Config         *ConfigTable
	ConfDb         *ConfDbTable
}

var Table = f5.New(func(this *table) {
	this.ApigateCluster = f5.New(func(this *ApigateClusterTable) {
		this.FileName = "../config/apigate.cluster.json"
		this.PrimKey = "instance_id"
	})

	this.Config = f5.New(func(this *ConfigTable) {
		this.FileName = "../config/config.json"
		this.PrimKey = ""
	})

	this.ConfDb = f5.New(func(this *ConfDbTable) {
		this.FileName = "../config/confdb.mysql.json"
		this.PrimKey = ""
	})
})
