package mt

import (
	"f5"
	"main/mtb"
)

type BackTaskCluster struct {
	mtb.BackTaskCluster
}

type BackTaskClusterTable struct {
	f5.IdMetaTable[BackTaskCluster]
	selfConf *BackTaskCluster
}

func (this *BackTaskCluster) Init1() {

}

func (this *BackTaskClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *BackTaskClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *BackTaskClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("backtask集群无法读取本服配置")
	}
}
