package mt

import (
	"f5"
	"main/mtb"
)

type GamesapiCluster struct {
	mtb.GamesapiCluster
}

type GamesapiClusterTable struct {
	f5.IdMetaTable[GamesapiCluster]
	selfConf *GamesapiCluster
}

func (this *GamesapiCluster) Init1() {

}

func (this *GamesapiClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *GamesapiClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *GamesapiClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("gamesapi集群无法读取本服配置")
	}
}
