package constant

import (
	"f5"
)

const (
	PLAYER_MGR_HANDLER_ID = iota
	PLAYER_HANDLER_ID
	ROOM_HANDLER_ID
	ROOM_MGR_HANDLER_ID
	WSP_LISTENER_HANDLER_ID
)

const (
	IM_WSP_CLOSE = f5.IM_CUSTOM_MSG_BEGIN + 1
)

const (
	MAX_PACKET_LEN = 1024 * 64
)

const (
	GAME_DB   = "gamedb"
	FRIEND_DB = "firenddb"
)

const (
	ROOMMGR_MODULE_IDX = iota
	APP_MODULE_IDX
	WSPLISTENER_MODULE_IDX
	HANDLER_MGR_MODULE_IDX
	PLAYER_MGR_MODULE_IDX
	MAX_MODULE_IDX
)

const SEARCH_ROOM_PAGE_SIZE = 20
const ROOM_MAX_PLAYER_NUM = 40
const ROOM_MAX_TEAM_NUM = 2
const ROOM_MAX_TEAM_MEMBER_NUM = 4
