package model

import (
	"q5"
	"f5"
	"main/constant"
)

type friendBlack struct {

}

var FriendBlack = new (friendBlack)

func (this *friendBlack) Force(senderId string, targetId string, nowTime int64,
	cb func (error, int64, int64)) {
	f5.GetJsStyleDb().Upsert(
		constant.FRIEND_DB,
		"t_friend_blacklist",
		[][]string{
			{"sender_id", senderId},
			{"block_id", targetId},
		},
		[][]string{
			{"deleted", q5.ToString(0)},
			{"add_time", q5.ToString(nowTime)},
		},
		[][]string{
			{"sender_id", senderId},
			{"block_id", targetId},
			{"deleted", q5.ToString(0)},
			{"add_time", q5.ToString(nowTime)},
			{"createtime", q5.ToString(nowTime)},
			{"modifytime", q5.ToString(nowTime)},
		},
		cb)
}

func (this *friendBlack) DeleteSoft(senderId string, targetId string,
	cb func (error, int64, int64)) {
	f5.GetJsStyleDb().Update(
		constant.FRIEND_DB,
		"t_friend_blacklist",
		[][]string{
			{"account_id", senderId},
			{"block_id", targetId},
		},
		[][]string{
			{"deleted", q5.ToString(1)},
		},
		cb)
}
