package service

import (
	"q5"
	"f5"
	"main/constant"
)

func UpdateSpecTransferStatus(dbIdx int64, status int32) bool {
	var dbErr error
	f5.GetGoStyleDb().Update(
		constant.BCEVENT_DB,
		"t_721nft_spec_transfer",
		[][]string {
			{"idx", q5.ToString(dbIdx)},
		},
		[][]string {
			{"status", q5.ToString(status)},
		},
		func (err error, lastInsertId int64, rowsAffected int64) {
			dbErr = err
		})
	return dbErr == nil
}
