package task

type taskMgr struct {
	webHook
	repairNft
	sysMail
	repairOrder
	refreshMeta
	//contribution
	chainActivity
	recharge

	esCecTransfer
	stackingCec
	vester
	rankchart
}

func (this *taskMgr) Init() {
	this.webHook.init()
	this.repairNft.init()
	this.sysMail.init()
	this.repairOrder.init()
	//this.refreshMeta.init()
	//this.contribution.init()
	this.chainActivity.init()
	this.recharge.init()

	this.esCecTransfer.init()
	this.stackingCec.init()
	this.vester.init()
	this.rankchart.init()
}

func (this *taskMgr) UnInit() {
	this.vester.unInit()
	this.stackingCec.unInit()
	this.esCecTransfer.unInit()

	this.recharge.unInit()
	this.chainActivity.unInit()
	//this.contribution.unInit()
	//this.refreshMeta.unInit()
	this.repairOrder.unInit()
	this.sysMail.unInit()
	this.repairNft.unInit()
	this.webHook.unInit()
	this.rankchart.unInit()
}
