package mt

import (
	"f5"
	"main/mtb"
)

type LoginCluster struct {
	mtb.LoginCluster
}

type LoginClusterTable struct {
	f5.IdMetaTable[LoginCluster]
	selfConf *LoginCluster
}

func (this *LoginCluster) Init1() {

}

func (this *LoginClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *LoginClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *LoginClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("loginserver集群无法读取本服配置")
	}
}
