package mt

import (
	"f5"
	"main/mtb"
)

type Config struct {
	mtb.Config
}

type ConfigTable struct {
	f5.IdMetaTable[Config]
	selfConf *Config
}

func (this *ConfigTable) GetGameApiUrl() string {
	return this.selfConf.GetGameapiUrl()
}

func (this *ConfigTable) GetSecretKey() string {
	return this.selfConf.GetSecretKey()

}
func (this *ConfigTable) PostInit1() {
	this.selfConf = this.GetById(int64(0))
	if this.selfConf == nil {
		panic("mailserver config无法读取本服配置")
	}
}
