package v1

import (
	"main/api/v1/activity"
	"main/api/v1/asset"
	"main/api/v1/event"
	"main/api/v1/game_switch"
	"main/api/v1/gold_bullion"
	"main/api/v1/hero"
	"main/api/v1/ingame"
	"main/api/v1/market"
	"main/api/v1/nft"
	"main/api/v1/recharge"
	"main/api/v1/shopcart"
	"main/api/v1/user"
	"main/api/v1/vip"
)

type ApiGroup struct {
	MarketApiGroup      market.ApiGroup
	AssetApiGroup       asset.ApiGroup
	HeroApiGroup        hero.ApiGroup
	GoldBullionApiGroup gold_bullion.ApiGroup
	ShopCartApiGroup    shopcart.ApiGroup
	NftApiGroup         nft.ApiGroup
	InGameApiGroup      ingame.ApiGroup
	UserApiGroup        user.ApiGroup
	ActivityApiGroup    activity.ApiGroup
	EventApiGroup       event.ApiGroup
	RechargeApiGroup    recharge.ApiGroup
	SwitchApiGroup      game_switch.ApiGroup
	VIPApiGroup         vip.ApiGroup
}

var ApiGroupApp = new(ApiGroup)
