package nft

import (
	"f5"
	"main/api/v1"
	"main/middleware"
)

type NftRouter struct{}

func (this *NftRouter) InitRouter() {
	api := v1.ApiGroupApp.NftApiGroup
	f5.GetApp().GetGinEngine().POST("/api/nft/stacking/unlock",
		middleware.JwtAuth,
		api.NftApi.Unlock)
}
