package vip

import (
	"f5"
	v1 "main/api/v1"
	"main/middleware"
)

type VIPRouter struct{}

func (this *VIPRouter) InitRouter() {
	api := v1.ApiGroupApp.VIPApiGroup
	f5.GetApp().GetGinEngine().GET("/api/vip/info",
		middleware.JwtAuth,
		api.VIPApi.Info)
	f5.GetApp().GetGinEngine().POST("/api/vip/bind",
		middleware.JwtAuth,
		api.VIPApi.Bind)
	f5.GetApp().GetGinEngine().GET("/api/vip/details",
		middleware.JwtAuth,
		api.VIPApi.Details)
}
