package service

import (
	"q5"
	"f5"
	"main/constant"
	"main/common"
)

func GetShopCartByOpenId(openId string) *common.ShopCart {
	cartDb := common.NewShopCart()
	f5.GetGoStyleDb().OrmSelectOne(
		constant.BCNFT_DB,
		"t_shopcart",
		[][]string{
			{"open_id", openId},
		},
		func (err error, ds* f5.DataSet) {
			if err != nil {
				return
			}
			if ds.Next() {
				if q5.DecodeJson(ds.GetByName("data"), cartDb) == nil {
				}
			}
		})
	return cartDb
}
