package mt

import (
	"f5"
	"main/mtb"
)

type Config struct {
	mtb.Config
}

type ConfigTable struct {
	f5.IdMetaTable[Config]
	selfConf *Config
}

func (this *Config) Init1() {
	
}

func (this *ConfigTable) GetMqproxyUrl() string {
	return this.selfConf.GetMqproxyUrl()
}

func (this *ConfigTable) GetNoticeUrl() string {
	return this.selfConf.GetNoticeUrl()
}

func (this *ConfigTable) GetNoticeChannelId() string {
    return this.selfConf.GetNoticeChannelId()
}

func (this *ConfigTable) PostInit1() {
	this.selfConf = this.GetById(int64(0))
	if this.selfConf == nil {
		panic("mqconsume config无法读取本服配置")
	}
}
