package mt

import (
	"f5"
)

type table struct {
	MqproxyCluster *MqproxyClusterTable
	Config          *ConfigTable
	ConfDb          *ConfDbTable
}

var Table = f5.New(func(this *table) {
	this.MqproxyCluster = f5.New(func(this *MqproxyClusterTable) {
		this.FileName = "../config/mqproxy.cluster.json"
		this.PrimKey = "instance_id"
	})

	this.Config = f5.New(func(this *ConfigTable) {
		this.FileName = "../config/config.json"
		this.PrimKey = ""
	})

	this.ConfDb = f5.New(func(this *ConfDbTable) {
		this.FileName = "../config/confdb.mysql.json"
		this.PrimKey = ""
	})

})
