package mt

import (
	"f5"
	"main/mtb"
)

type MqproxyCluster struct {
	mtb.MqproxyCluster
}

type MqproxyClusterTable struct {
	f5.IdMetaTable[MqproxyCluster]
	selfConf *MqproxyCluster
}

func (this *MqproxyCluster) Init1() {

}

func (this *MqproxyClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *MqproxyClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *MqproxyClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("mqproxy集群无法读取本服配置")
	}
}
