package router

import (
	"f5"
	"main/middleware"
	//. "main/global"
	//"main/router/system"
)

type routerMgr struct {
	//system system.RouterGroup
}

func (this *routerMgr) Init() {
	redirectGroup := f5.GetApp().GetGinEngine().Group("/sapi")
	redirectGroup.Any("webapp/index.php", middleware.CaForward)

	mqGroup := f5.GetApp().GetGinEngine().Group("/mqproxy")
	mqGroup.Any("webapp/subscribe.php", middleware.Subscribe)
	mqGroup.Any("webapp/unsubscribe.php", middleware.Unsubscribe)
	mqGroup.Any("webapp/consume.php", middleware.Consume)

	f5.GetSysLog().Info("routerMgr.init")
}

func (this *routerMgr) UnInit() {

}
