package mt

import (
	"f5"
	"main/mtb"
)

type NftHomeMeta struct {
	mtb.NftHomeMeta
}

type NftHomeMetaTable struct {
	f5.NameMetaTable[NftHomeMeta]
	hero *NftHomeMeta
	newHero *NftHomeMeta
	goldBullion *NftHomeMeta
}

func (this *NftHomeMetaTable) GetHeroMeta() *NftHomeMeta {
	return this.hero
}

func (this *NftHomeMetaTable) GetNewHeroMeta() *NftHomeMeta {
	return this.newHero
}

func (this *NftHomeMetaTable) GetGoldBullionMeta() *NftHomeMeta {
	return this.goldBullion
}

func (this *NftHomeMetaTable) PostInit1() {
	this.hero = this.GetByName("hero")
	this.newHero = this.GetByName("new_hero")
	this.goldBullion = this.GetByName("gold_bullion")
}
