package mt

import (
	"f5"
	"main/mtb"
)

type NftServerCluster struct {
	mtb.NftServerCluster
}

type NftServerClusterTable struct {
	f5.IdMetaTable[NftServerCluster]
	selfConf *NftServerCluster
}

func (this *NftServerCluster) Init1() {

}

func (this *NftServerClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *NftServerClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *NftServerClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("loginserver集群无法读取本服配置")
	}
}
