package nft

import (
	"f5"
	"main/api/v1"
)

type NftMetaRouter struct{}

func (this *NftMetaRouter) InitRouter() {
	api := v1.ApiGroupApp.NftApiGroup
	f5.GetApp().GetGinEngine().GET("/hero/meta/:netId/:tokenId", api.NftMetaApi.Hero)
	f5.GetApp().GetGinEngine().GET("/newhero/meta/:netId/:tokenId", api.NftMetaApi.NewHero)
	f5.GetApp().GetGinEngine().GET("/gold_bullion/meta/:netId/:tokenId", api.NftMetaApi.GoldBullion)
	f5.GetApp().GetGinEngine().GET("/hero/home_meta/:netId", api.NftMetaApi.HeroHome)
	f5.GetApp().GetGinEngine().GET("/newhero/home_meta/:netId", api.NftMetaApi.NewHeroHome)
	f5.GetApp().GetGinEngine().GET("/gold_bullion/home_meta/:netId", api.NftMetaApi.GoldBullionHome)
}
