package router

import (
	"f5"
	"main/router/nft"
)

type routerMgr struct {
	nft nft.RouterGroup
}

func (this *routerMgr) Init() {
	/*
	f5.GetApp().GetGinEngine().Use(middleware.Cors())
	*/
	this.nft.NftMetaRouter.InitRouter()
	this.nft.NftDetailRouter.InitRouter()

	f5.GetSysLog().Info("routerMgr.init")

}

func (this *routerMgr) UnInit() {

}
