package ca

import (
	. "main/global"
	"github.com/gin-gonic/gin"
)

type StatApi struct {

}

func (this *StatApi) UpdateSession(c *gin.Context) {
	accountId := c.DefaultQuery("account_id", "")
	sessionId := c.DefaultQuery("session_id", "")
	GetSessionMgr().UpdateSession(accountId, sessionId);
	rspObj := struct {
		ErrCode int32 `json:"errcode"`
		ErrMsg  string `json:"errmsg"`
	}{
		ErrCode: 0,
		ErrMsg: "",
	}
	c.JSON(200, rspObj)
}

func (this *StatApi) GetOnlineNum(c *gin.Context) {
	rspObj := struct {
		ErrCode int32 `json:"errcode"`
		ErrMsg  string `json:"errmsg"`
		Num int32 `json:"num"`
	}{
		ErrCode: 0,
		ErrMsg: "",
		Num: int32(GetSessionMgr().GetOnlineNum()),
	}
	c.JSON(200, rspObj)
}
