package system

import (
	"github.com/gin-gonic/gin"
	"net/http"
	. "main/global"
)

type MetaMaskApi struct {
}

func (this *MetaMaskApi) GetNonce(c *gin.Context) {
	account := c.Query("account")
	if account == "" {
		c.JSON(http.StatusOK, gin.H{
			"code":    1,
			"message": "缺少参数:account",
		})
		return
	}
	nonce := GetSessionMgr().GenNonce()
	c.JSON(http.StatusOK, gin.H{
		"code":    0,
		"message": "success",
		"data":    nonce,
	})
}
