package system

type GameSwitch struct {
	Idx        int64  `gorm:"uniqueIndex;comment:idx" json:"idx"`
	Name       string `gorm:"column:switch_name" json:"switch_name"`
	Opened     int32  `gorm:"column:is_open" json:"is_open"`
	AuditOpen  int32  `gorm:"column:audit_is_open" json:"audit_is_open"`
	CreateTime int32  `gorm:"column:createtime" json:"createtime"`
	ModifyTime int32  `gorm:"column:modifytime" json:"modifytime"`
}

func (GameSwitch) TableName() string {
	return "t_game_switch"
}
