package system

type SysUser struct {
	Idx      uint64   `json:"idx"`
	Username string   `gorm:"uniqueIndex;comment:用户登录名" json:"username"`
	Password string   `gorm:"comment:用户登录密码" json:"password"`
	Roles    []string `json:"roles" gorm:"-"'`
}

func (SysUser) TableName() string {
	return "t_user"
}
