package system

type UserGroup struct {
	GroupId    int64  `gorm:"primaryKey;column:group_id" json:"group_id,string"`
	GroupName  string `gorm:"unique;column:group_name" json:"group_name"`
	GroupDesc  string `gorm:"group_desc" json:"group_desc"`
	Enabled    int32  `gorm:"column:enabled" json:"enabled"`
	Deleted    int32  `gorm:"column:deleted" json:"deleted"`
	CreateTime int32  `gorm:"column:createtime" json:"createtime"`
	ModifyTime int32  `gorm:"column:modifytime" json:"modifytime"`
}

func (UserGroup) TableName() string {
	return "t_group"
}
