package system

type WhiteListItem struct {
	Identity   string `gorm:"column:user_identity" json:"user_identity"`
	Enable     int32  `gorm:"column:enable" json:"enable"`
	CreateTime int32  `gorm:"column:createtime" json:"createtime"`
	ModifyTime int32  `gorm:"column:modifytime" json:"modifytime"`
}

func (WhiteListItem) TableName() string {
	return "t_whitelist"
}

type SuperWhiteListItem struct {
	WhiteListItem
}

func (SuperWhiteListItem) TableName() string {
	return "t_super_whitelist"
}
