package mt

import (
	"f5"
	"main/mtb"
)

type AdminCluster struct {
	mtb.AdminCluster
}

type AdminClusterTable struct {
	f5.IdMetaTable[AdminCluster]
	selfConf *AdminCluster
}

func (this *AdminCluster) Init1() {

}

func (this *AdminClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *AdminClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *AdminClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("imserver集群无法读取本服配置")
	}
}
