package system

import (
	v1 "main/api/v1"
	"main/middleware"

	"github.com/gin-gonic/gin"
)

type BattleServerRoute struct{}

func (r *BattleServerRoute) InitBattleServerRouter(priRouter *gin.RouterGroup) {
	priUserRouter := priRouter.Group("battle_server")
	api := v1.ApiGroupApp.SystemApiGroup.BattleServerApi
	{
		priUserRouter.POST("add", middleware.Permission("api/v1/battle_server/add", api.Add))
		priUserRouter.GET("list", middleware.Permission("api/v1/battle_server/list", api.List))
		priUserRouter.PUT("update", middleware.Permission("api/v1/batle_server/update", api.Update))
	}
}
