package mt

import (
	"f5"
	"main/mtb"
)

type ApigateCluster struct {
	mtb.ApigateCluster
}

type ApigateClusterTable struct {
	f5.IdMetaTable[ApigateCluster]
	selfConf *ApigateCluster
}

func (this *ApigateCluster) Init1() {

}

func (this *ApigateClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *ApigateClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *ApigateClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("apigate集群无法读取本服配置")
	}
}
