package service

import (
	"q5"
	"f5"
	"main/constant"
)

func SendSysMail(uniKey string, to string, subject string, content string, sendTime int32, expireTime int32,
	tag1 int32, tag2 int32) bool {
	var dbErr error
	nowTime := f5.GetApp().GetRealSeconds()
	f5.GetGoStyleDb().Upsert(
		constant.MAIL_DB,
		"t_sys_mail",
		[][]string{
			{"unikey", uniKey},
		},
		[][]string{
		},
		[][]string{
			{"unikey", uniKey},
			{"subject", subject},
			{"content", content},
			{"recipients", q5.EncodeJson([]string{
				to,
			})},
			{"tag1", q5.ToString(tag1)},
			{"tag2", q5.ToString(tag2)},
			{"sendtime", q5.ToString(sendTime)},
			{"expiretime", q5.ToString(expireTime)},
			{"user_reg_start_time", q5.ToString(0)},
			{"user_reg_end_time", q5.ToString(nowTime + 3600 * 24 * 365 * 10)},
			{"createtime", q5.ToString(nowTime)},
			{"modifytime", q5.ToString(nowTime)},
		},
		func (err error, lastInsertId int64, rowsAffected int64) {
			dbErr = err
		})
	return dbErr == nil
}
