package listener

import (
	"cs"
	"ss"
	"main/constant"
)

type HandlerMgr struct {
}

func (this *HandlerMgr) Init() {
	ss.RegHandlerId(int(ss.SSMessageIdE__SS_Ping), constant.WSP_LISTENER_HANDLER_ID)
	ss.RegHandlerId(int(ss.SSMessageIdE__SS_WSP_SocketDisconnect), constant.WSP_LISTENER_HANDLER_ID)
	ss.RegHandlerId(int(ss.SSMessageIdE__SS_HttpTunnelRequest), constant.WSP_LISTENER_HANDLER_ID)

	cs.RegHandlerId(int(cs.CMMessageIdE__CMLogin), constant.PLAYER_MGR_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMReconnect), constant.PLAYER_MGR_HANDLER_ID)

	cs.RegHandlerId(int(cs.CMMessageIdE__CMPing), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMSearchUser), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMSearchUserByAccountId), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMAddFriendRequest), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMAcceptFriendRequest), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMRejectFriendRequest), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMListPendingFriendRequest), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMListFriend), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMDeleteFriendShip), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMAddBlacklist), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMRemoveBlacklist), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMInviteFriendMsg), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMRecommendList), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMSetStatus), constant.PLAYER_HANDLER_ID)

	cs.RegHandlerId(int(cs.CMMessageIdE__CMGuildInfo), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMRecommendGuildList), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMCreateGuild), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMApplyToGuild), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMApprove), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMReject), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMLeaveGuild), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMDismissMember), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMDisband), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMSearchGuilds), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMApplyList), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMGuildMembersList), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMSetNotice), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMSetName), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMSetAvatar), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMSetJoinCond), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMSetMemberLevel), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMGetTopGuildsByTotalStars), constant.PLAYER_HANDLER_ID)

	cs.RegHandlerId(int(cs.CMMessageIdE__CMRedDot), constant.PLAYER_HANDLER_ID)

	cs.RegHandlerId(int(cs.CMMessageIdE__CMSendChatMsg), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMReadMsgAndOpenChatNotify), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMSetCurrPrivateChatTarget), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMCloseChatNotify), constant.PLAYER_HANDLER_ID)
}

func (this *HandlerMgr) UnInit() {
}
