package jccommon

const (
	MAX_PACKET_LEN = 1024 * 64
)

const (
	NFT_TYPE_CFHERO = 1
	NFT_TYPE_GOLD_BULLION = 11
	NFT_TYPE_CFHERO_NORMAL = 12
	NFT_TYPE_FOUNDER_TAG = 13
)

const (
	ITEM_TYPE_HERO = 3
	ITEM_TYPE_GOLD_BULLION = 31
)

const (
	ORDER_STATUS_PENDING = "PENDING"
	ORDER_STATUS_ACTIVE = "ACTIVE"
	ORDER_STATUS_INACTIVE = "INACTIVE"
	ORDER_STATUS_CANCELLED = "CANCELLED"
	ORDER_STATUS_FILLED = "FILLED"
	ORDER_STATUS_EXPIRED = "EXPIRED"
)

const (
	ORDER_UPDATE_EVENT = "imtbl_zkevm_order_updated"
	TRADE_CREATED_EVENT = "imtbl_zkevm_trade_created"
	ACTIVITY_SALE_EVENT = "imtbl_zkevm_activity_sale"
)

const (
	CONTRACT_NAME_CFHero = "CFHero"
	CONTRACT_NAME_CFNormalHero = "CFHero_normal"
	CONTRACT_NAME_GoldBrick = "GoldBrick"
	CONTRACT_NAME_FounderTag = "FounderTag"
	CONTRACT_NAME_NFTLock = "NFTLock"
	CONTRACT_NAME_GameItemMall = "GameItemMall"
	CONTRACT_NAME_StakedEsCecRouter = "stakedEsCecRouter"
	CONTRACT_NAME_EsCec = "esCEC"
	CONTRACT_NAME_Vester = "vester"
)

const (
	MAIL_TAG1_CUSTOM = 10
	MAIL_TAG1_HERO = 100
	MAIL_TAG1_GOLD_BULLION = 101
	MAIL_TAG1_OLD_USER = 102
)

const (
	MAIL_TAG2_CUSTOM_NORMAL = 1

	MAIL_TAG2_HERO_MINT = 1
	MAIL_TAG2_HERO_LOCK = 2
	MAIL_TAG2_HERO_UNLOCK = 3

	MAIL_TAG2_GOLD_BULLION_MINT = 1
	MAIL_TAG2_GOLD_BULLION_LOCK = 2
	MAIL_TAG2_GOLD_BULLION_UNLOCK = 3
	MAIL_TAG2_GOLD_BULLION_RETURN = 4

	MAIL_TAG2_OLD_USER = 1
)

const (
	V_ITEM_GOLD_BULLION_1K = 10017
	V_ITEM_GOLD_BULLION_1W = 10018
)

const (
	GOLD_BULLION_NO_OPEN = 0
	GOLD_BULLION_OPENED = 1
)

const (
	GOLD_BULLION_OPEN_STATUS_SENT = 1
	GOLD_BULLION_OPEN_STATUS_RECEIVED = 2
)

const (
	PARAM_NAME_LAST_SYNC_SYS_MAIL_IDX = "last_sync_sys_mail_idx"
)

const (
	MAIL_TYPE_BEGIN  = 0
	MAIL_TYPE_GROUP  = 1
	MAIL_TYPE_ALL  = 2
	MAIL_TYPE_END = iota
)

const (
	EVENT_MAIL_UPDATE = "mail.update"
	EVENT_UPSER_GROUP_UPDATE = "user_group.update"
)

const (
	IMTBL_CHANNEL = 1
	GUEST_CHANNEL = 2
	BC_CHANNEL = 3
)

const (
	BC_POLY_POLY_METAKASK = 13
)

const (
	GAME_LOG_TYPE_BACKTASK_USER_ADD_GOLD_START = "backtask.user_add_gold.begin"
	GAME_LOG_TYPE_BACKTASK_USER_ADD_GOLD_END = "backtask.user_add_gold.end"
	GAME_LOG_TYPE_BACKTASK_USER_ADD_DIAMOND_START = "backtask.user_add_diamond.begin"
	GAME_LOG_TYPE_BACKTASK_USER_ADD_DIAMOND_END = "backtask.user_add_diamond.end"
)

const (
	MAP_MODE_BOUNTY = 301
	MAP_MODE_CIRCUIT = 7
)

const (
	RECHARGE_ORDER_PAY_STATUS_PENDING = 0
	RECHARGE_ORDER_PAY_STATUS_OK = 1

	RECHARGE_ORDER_DELIVERY_STATUS_PENDING =0
	RECHARGE_ORDER_DELIVERY_STATUS_OK = 1
)

const (
	RECHARGE_STATUS_PENDING = 0
	RECHARGE_STATUS_SENT = 1
)

const (
	BC_CURRENCY_NAME_ETHEREUM = "Ethereum"
	BC_CURRENCY_NAME_USDC = "USDC"
	BC_CURRENCY_NAME_IMMUTABLE = "Immutable"
	BC_CURRENCY_NAME_NATIVE = "NATIVE"

	BC_CURRENCY_VS_URL = "https://api.coingecko.com/api/v3/coins/markets?vs_currency=USD&ids=immutable-x,usd-coin,immutable-x,ethereum"
)

const (
	TRANS_ID_EPOCH = 1643212800;
	TRANS_ID_MAX_FUNC_ID = 99
	TRANS_ID_MAX_TIME = 999999999
	TRANS_ID_MAX_SEQ_ID = 9999999
	TRANS_ID_MIN_LEN = 77
	TRANS_ID_MAX_LEN = 78
)

const (
	TRANS_ID_FUNC_NORMAL = 1
)

const (
	ETH_NET_ID = 1
	IMTBL_NET_ID = 13371
	ARB_NET_ID = 42161
	BNB_NET_ID = 56
)

const (

	ETH_USDT_ADDRESS = "0xdac17f958d2ee523a2206206994597c13d831ec7"
	ETH_USDC_ADDRESS = "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"

	IMTBL_USDC_ADDRESS = "0x6de8aCC0D406837030CE4dd28e7c08C5a96a30d2"

	BNB_USDC_ADDRESS = "0x8ac76a51cc950d9822d68b83fe1ad97b32cd580d"
	BNB_USDT_ADDRESS = "0x55d398326f99059ff775485246999027b3197955"

	ARB_USDC_ADDRESS = "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"
	ARB_USDT_ADDRESS = "0xfd086bc7cd5c481dcc9c85ebe478a1c0b69fcbb9"
)
