package app

import (
	"f5"
	"main/mt"
)

type app struct {
	initCb        func()
	unInitCb      func()
}

func (this *app) GetPkgName() string {
	return "mailserver"
}

func (this *app) GetHttpListenPort() int32 {
	return mt.Table.LoginCluster.GetHttpListenPort()
}

func (this *app) Run(initCb func(), unInitCb func()) {
	this.initCb = initCb
	this.unInitCb = unInitCb
	f5.Run(this)
}

func (this *app) Init() {
	f5.LoadMetaTable(mt.Table)
	this.registerDataSources()
	this.initCb()
}

func (this *app) UnInit() {
	this.unInitCb()
}

func (this *app) Update() {
}

func (this *app) registerDataSources() {
}

func (this *app) HasTask() bool {
	return false
}
