package router

import (
	"f5"
	"main/router/ca"
	"main/router/auth"
)

type routerMgr struct {
	ca ca.RouterGroup
	auth auth.RouterGroup
}

func (this *routerMgr) Init() {
	/*
	f5.GetApp().GetGinEngine().Use(middleware.Cors())
	*/
	this.ca.InitLoginRouter()
	this.ca.InitAnncRouter()
	this.ca.InitServerSwitchRouter()

	this.auth.ImmutableRouter.InitRouter()

	f5.GetSysLog().Info("routerMgr.init")

}

func (this *routerMgr) UnInit() {

}
