package mt

import (
	"f5"
	"main/mtb"
)

type MailCluster struct {
	mtb.MailCluster
}

type MailClusterTable struct {
	f5.IdMetaTable[MailCluster]
	selfConf *MailCluster
}

func (this *MailCluster) Init1() {

}

func (this *MailClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *MailClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *MailClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("mailserver集群无法读取本服配置")
	}
}
