package mt

import (
	"f5"
	"main/mtb"
)

type MarketServerCluster struct {
	mtb.MarketServerCluster
}

type MarketServerClusterTable struct {
	f5.IdMetaTable[MarketServerCluster]
	selfConf *MarketServerCluster
}

func (this *MarketServerCluster) Init1() {

}

func (this *MarketServerClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *MarketServerClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *MarketServerClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("loginserver集群无法读取本服配置")
	}
}
