package activity

import (
	"f5"
	v1 "main/api/v1"
)

type StackingRouter struct{}

func (this *StackingRouter) InitRouter() {
	api := v1.ApiGroupApp.ActivityApiGroup
	f5.GetApp().GetGinEngine().GET("/api/activity/stacking/expected_daily/:account_address",
		api.StackingApi.ExpectedDaily)
	f5.GetApp().GetGinEngine().GET("/api/activity/stacking/history/:account_address",
		api.StackingApi.ContributionQuery)
	f5.GetApp().GetGinEngine().GET("/api/activity/diamond/history/:account_address",
		api.StackingApi.DiamondRecordQuery)
}
