package recharge

import (
	"f5"
	v1 "main/api/v1"
	"main/middleware"
)

type RechargeRouter struct{}

func (er *RechargeRouter) InitRouter() {
	api := v1.ApiGroupApp.RechargeApiGroup
	f5.GetApp().GetGinEngine().POST("/api/recharge/history/:net_id/:account_address", api.RechargeApi.RechargeQuery)
	f5.GetApp().GetGinEngine().GET("/api/recharge/goods", api.RechargeApi.RechargeList)
	f5.GetApp().GetGinEngine().POST("/api/recharge/buy", middleware.JwtAuth, api.RechargeApi.Buy)
	f5.GetApp().GetGinEngine().POST("/api/recharge/buy_with_email", middleware.JwtAuth, api.RechargeApi.BuyWithEmail)
}
