package user

import (
	"f5"
	"main/middleware"
	"main/api/v1"
)

type UserRouter struct{}

func (this *UserRouter) InitRouter() {
	api := v1.ApiGroupApp.UserApiGroup
	f5.GetApp().GetGinEngine().GET("/api/user/:account_address",
		middleware.MaybeJwtAuth,
		api.UserApi.Info)
}
