package service

import (
	"main/constant"
	"main/global"
)

var Contribution = new(contribution)
var _serviceMgr = new(serviceMgr)
var GameSwitches = new(gameSwitch)
var User = new(user)
var JwtAuth = new(jwtauth)

func init() {
	global.RegModule(constant.SERVICE_MGR_MODULE_IDX, _serviceMgr)
}
