package listener

import (
	"cs"
	"ss"

	"main/constant"
)

type HandlerMgr struct {
}

func (this *HandlerMgr) Init() {
	ss.RegHandlerId(int(ss.SSMessageIdE__SS_Ping), constant.WSP_LISTENER_HANDLER_ID)
	ss.RegHandlerId(int(ss.SSMessageIdE__SS_WSP_SocketDisconnect), constant.WSP_LISTENER_HANDLER_ID)

	cs.RegHandlerId(int(cs.CMMessageIdE__CMPing), constant.PLAYER_MGR_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMLogin), constant.PLAYER_MGR_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMReconnect), constant.PLAYER_MGR_HANDLER_ID)

	cs.RegHandlerId(int(cs.CMMessageIdE__CMLeaveTeam), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMDisbandTeam), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMKickOut), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMHandoverLeader), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMStartGame), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMCancel), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMSetReady), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMSetSpecSkill), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMChooseHero), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMChooseMap), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMGrantInvitePermission), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMRefreshUser), constant.PLAYER_HANDLER_ID)
	cs.RegHandlerId(int(cs.CMMessageIdE__CMChooseBattleItem), constant.PLAYER_HANDLER_ID)
}

func (this *HandlerMgr) UnInit() {
}
