package mt

import (
	"f5"
	"main/mtb"
)

type MqconsumeCluster struct {
	mtb.MqconsumeCluster
}

type MqconsumeClusterTable struct {
	f5.IdMetaTable[MqconsumeCluster]
	selfConf *MqconsumeCluster
}

func (this *MqconsumeCluster) Init1() {

}

func (this *MqconsumeClusterTable) GetListenPort() int32 {
	return this.selfConf.GetListenPort()
}

func (this *MqconsumeClusterTable) GetHttpListenPort() int32 {
	return this.selfConf.GetHttpListenPort()
}

func (this *MqconsumeClusterTable) PostInit1() {
	this.selfConf = this.GetById(int64(f5.GetApp().GetInstanceId()))
	if this.selfConf == nil {
		panic("mqconsume集群无法读取本服配置")
	}
}
