package mt

import (
	"f5"
)

type table struct {
	NftServerCluster *NftServerClusterTable
	//NftDb      *NftDbTable
	Config      *ConfigTable
	NftHomeMeta      *NftHomeMetaTable
	//Contract *ContractTable
}

var Table = f5.New(func(this *table) {
	this.NftServerCluster = f5.New(func(this *NftServerClusterTable) {
		this.FileName = "../config/nftserver.cluster.json"
		this.PrimKey = "instance_id"
	})

	/*
	this.NftDb = f5.New(func(this *NftDbTable) {
		this.FileName = "../config/nftdb.mysql.json"
		this.PrimKey = ""
	})*/

	this.Config = f5.New(func(this *ConfigTable) {
		this.FileName = "../config/config.json"
		this.PrimKey = ""
	})

	this.NftHomeMeta = f5.New(func(this *NftHomeMetaTable) {
		this.FileName = "../config/nft_home_meta.json"
		this.PrimKey = "name"
	})

	//this.Contract = new(ContractTable)

})
